Skip to main content
PATCH
cURL
This endpoint is in Preview and subject to change. Refer to the API support policy for more details.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
string
required

cluster_id uniquely identifies the cluster owning the egress rule.

rule_id
string
required

rule_id is the UUID of an existing egress rule. This field is required.

Body

application/json

EditEgressRuleRequest is the input message to the EditEgressRule RPC.

description
string

description is text that serves to document the rules purpose.

destination
string

destination is a CIDR range or fully-qualified domain name to which outgoing traffic should be allowed. This field is required.

idempotency_key
string

idempotency_key uniquely identifies this request. If not set, it will be set by the server.

paths
string[]

paths are the allowed URL paths. If empty, all paths are allowed. Only valid if Type="FQDN".

ports
integer<int32>[]

ports are the allowed ports for TCP protocol. If empty, all ports are allowed.

type
string

type is the destination type of this rule. Example values are FQDN or CIDR. This field is required.

Response

A successful response.

EditEgressRuleResponse is the output message to the EditEgressRule RPC.

Rule
EgressRule · object

EgressRule represents a network egress rule.